#
# step0.rb
#   $Id: step0.rb,v 1.1 2000/11/18 18:57:43 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include NMath

nmax = 400
dt = 2*PI/(nmax-1)

x = NArray.sfloat(nmax)
y = NArray.sfloat(nmax)

t = NArray.sfloat(nmax).indgen! * dt
x = 1e2*sin(4*t)
y = 1e-3*cos(5*t)+6

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::gropn iws
DCL::grfrm

DCL::ussttl('X-TITLE', 'x-unit', 'Y-TITLE', 'y-unit')
DCL::usspnt(x, y)
DCL::uspfit
DCL::grstrf
DCL::usdaxs
DCL::uulin(x, y)

DCL::grcls

